/*
 * @Author: your name
 * @Date: 2021-06-07 20:26:31
 * @LastEditTime: 2021-06-17 10:01:55
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \ld-pad\src\common\request.js
 */
// const baseUrl = 'http://39.100.230.190'
// const baseUrl = 'http://8.140.188.124'
// const baseUrl = 'http://172.18.0.24:40046'
// const baseUrl =  'http://172.18.1.227:40046'
const baseUrl =  'https://s2t.jihengcc.cn/'
// const baseUrl = ''

// import { showLoading,hideLoading } from './loading.js'
// 方式请求
export function request(method, url, data = {}, header = {}, token = false) {
	return new Promise((resolve, reject) => {

		// header['content-type']='application/x-www-form-urlencoded;charset=UTF-8'

		const t = uni.getStorageSync('token')
		if (t) {
			// header['Authorization']='Bearer '+ t
			header['Authorization'] = t
		} else {
			header['Authorization'] = ''
		}
		uni.showLoading({mask:true})
		uni.request({
			url: baseUrl + url,
			method: method.toUpperCase(),
			data: data,
			dataType: 'json',
			header,
			success: (res) => {
				if (res.data.status === '40401' || res.data.status === '40415' || res.data.message === '未获得认证信息,请重新登陆') {
					uni.hideLoading()
					uni.showToast({
						title: res.data.message,
						duration: 2000,
						icon: 'none',
						position: 'top'
					});
					setTimeout(() => {
						uni.navigateTo({
							url: '/pages/login/login'
						})
					}, 1000)
				} else {
					uni.hideLoading()
					resolve(res.data)
				}
			},
			fail: (error) => {
				uni.showToast({
					title: error.errMsg,
					duration: 20000,
					icon: 'none',
					position: 'top'
				});
				setTimeout(() => {
					uni.navigateTo({
						url: '/pages/login/login'
					})
				}, 1000)
				reject(error)
			}
		});
	})
}

//上传图片
export function upload_img(url, imageSrc) {
	return new Promise((resolve, reject) => {
		uni.uploadFile({
			url: fileUrl + url,
			filePath: imageSrc,
			name: 'file',
			header: {
				'Authorization': uni.getStorageSync('token')
			},
			success: (res) => {
				res = JSON.parse(res.data);
				resolve(res);
			},
			fail: (err) => {
				reject(err);
			}
		});
	})
}