//引入vue和vuex
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

// 用户信息
let userinfo = uni.getStorageSync('userinfo') || {}

const store = new Vuex.Store({ //全局变量定义
	state: {
		userinfo: userinfo,	//存放用户账号数据
	},
	mutations: {
		// 登录
		login(state, provider) {
			state.userInfo = provider
			uni.setStorage({ // 异步缓存用户信息
				key: "userinfo",
				data: provider
			})
		},
		// 退出
		logout(state) {
			state.userInfo = {};
			uni.removeStorage({ // 清除用户信息
				key: "userinfo"
			})
			uni.removeStorage({ // 清除用户信息
				key: "token"
			})
			uni.removeStorage({ // 清除用户信息
				key: "checked"
			})
			uni.navigateTo({
				url: '/pages/login/login'
			})
		},
	}
})
export default store
